Subject: [PATCH core-updates v3 0/2] gnu: po4a: Fix SGML tests.

From: gemmaro <[email-masked]>
Date: Tue, 20 Jun 2023 08:47:45 +0900

Hello Bruno,

Bruno Victal <[email-masked]> writes:
>> @@ -1781,14 +1792,6 @@ (define-public opensp
>>                  (("^\tOSGMLNORM=`echo osgmlnorm\\|sed '\\$\\(transform\\)'`\\\\")
>>                   "\tOSGMLNORM=`echo osgmlnorm|sed '$(transform)'`")
>>                  (("^\t\\$\\(SHELL\\)\n") "")))))))
>> -    ;; $SGML_CATALOG_FILES lists 'catalog' or 'CATALOG' or '*.cat' files found
>> -    ;; under the 'sgml' sub-directory of any given package.
>> -    (native-search-paths (list (search-path-specification
>> -                                (variable "SGML_CATALOG_FILES")
>> -                                (separator ":")
>> -                                (files '("sgml"))
>> -                                (file-pattern "^catalog$|^CATALOG$|^.*\\.cat$")
>> -                                (file-type 'regular))))
>
> Interesting, looking at opensp it seems that it also makes use of the
> SGML_CATALOG_FILES environment variable so I don't think it shouldn't
> be removed though I don't know if it's valid for more than one package
> to share the same native-search-path.

You are right.  Looking at other packages, there are some
native-search-paths defined with the same name, such as
C_INCLUDE_PATH.  One solution to avoid duplication is to define it
globally, like $SSL_CERT_DIR in guix/search-paths.scm, but maybe not
go that far this time.  I stopped changing opensp.

Best,
gemmaro.

gemmaro (2):
  gnu: libxml2: Add SGML_CATALOG_FILES to native-search-path.
  gnu: po4a: Fix SGML tests.

 gnu/packages/gettext.scm | 12 +++++-------
 gnu/packages/xml.scm     | 27 +++++++++++++++++++--------
 2 files changed, 24 insertions(+), 15 deletions(-)

base-commit: d884fc9e2efecfba09af4694f5a13ad7fc6f704f
-- 
2.40.1